%global gitcommit_full 444dc99d25c0e0d52fbab026810bdf8fb18d3bfb
%global gitcommit %%(c=%%{gitcommit_full}; echo ${c:0:7})
%global gitdate 20250204

Name: kio-onedrive
Version: 0.0.5^%{gitdate}git%{gitcommit}
Release: 1%{?dist}
Summary: KIO worker to access OneDrive
License: GPL-2.0-or-later
URL: https://invent.kde.org/bernardogn/%{name}
Source0: https://invent.kde.org/bernardogn/%{name}/-/archive/%{gitcommit_full}/%{name}-%{gitcommit_full}.tar.bz2

BuildRequires: cmake
BuildRequires: clang
BuildRequires: clang-tools-extra
BuildRequires: extra-cmake-modules
BuildRequires: kf6-rpm-macros
BuildRequires: ninja-build

BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KAccounts6)

%description
A KIO worker to access Microsoft's OneDrive cloud storage service. Allows viewing and editing files stored at OneDrive at Dolphin and KDE apps.

%prep
%autosetup -p1 -n %{name}-%{gitcommit_full}

%build
CC=clang CXX=clang++ %cmake_kf6 -GNinja -DCMAKE_CXX_COMPILER_CLANG_SCAN_DEPS:FILEPATH=/usr/bin/clang-scan-deps
%cmake_build

%install
%cmake_install

%check

%files
%license LICENSES/*
%doc README.md
%{_kf6_plugindir}/kio/onedrive.so
%{_kf6_datadir}/accounts/providers/kde/microsoft.provider
%{_kf6_datadir}/accounts/services/kde/microsoft-onedrive.service
%{_kf6_datadir}/remoteview/onedrive.desktop

%changelog
* Wed Feb 12 2025 Bernardo Gomes Negri <b.gomes.negri@gmail.com> - 0.0.5^20250204.444dc99d-1
- Initial package
